Updates the fee list price with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
feelist_price| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| feelist_id |
Feelist on which this price belongs to |
globally unique identifier |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
string |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
feelist |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| hour_type_id |
Foreign key to hour_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type_code |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
string |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
hour_type |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| equipment_family_id |
Foreign key to equipment_family. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
equipment_family | |
| job_type_id |
Foreign key to job_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| job_type_code |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
string | |
| job_type |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
job_type | |
| price | decimal number |
Required |
|
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "efc9b5de-15c7-4889-93b9-c8940214e5fb",
"feelist_id": "26964fe1-49a8-463b-80a0-7bbe9b8ea977",
"feelist_reference_back_office": "sample string 3",
"hour_type_id": "026af172-e276-4912-af65-058bd89f19c6",
"hour_type_code": "sample string 5",
"equipment_family_id": "00a8648d-1c8a-4c9c-b328-b1172705735f",
"equipment_family_code": "sample string 7",
"job_type_id": "2e4b14ab-4fcc-4cf2-af49-f2f6df79065f",
"job_type_code": "sample string 9",
"price": 1.0,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-08-14T07:36:28.669644+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.